Bug 373191 - gnome-terminal will not start using xinerama
gnome-terminal will not start using xinerama
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-09 12:26 EST by Robert 'Bob' Jensen
Modified: 2009-10-22 08:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 15:38:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xdpyinfo output (21.38 KB, text/plain)
2007-11-12 19:21 EST, Robert 'Bob' Jensen
no flags Details
xorg.conf file (3.29 KB, text/plain)
2007-11-12 19:26 EST, Robert 'Bob' Jensen
no flags Details

  None (edit)
Description Robert 'Bob' Jensen 2007-11-09 12:26:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.8) Gecko/20071019 Fedora/2.0.0.8-1.fc7 Firefox/2.0.0.8

Description of problem:
trying to start gnome-terminal on my multihead workstation results in gnome-terminal not starting. 

Version-Release number of selected component (if applicable):
gnome-terminal-2.18.2-1.fc8 libXinerama-1.0.2-3.fc8

How reproducible:
Always


Steps to Reproduce:
1. Install FC6 or later on a multihead desktop or workstation
2. log in as any user using gnome
3. choose "terminal" from the System Tools sub-menu


Actual Results:
gnome-terminal does not start

Expected Results:
gnome-terminal would start

Additional info:
here is the out put after trying to start gnome-terminal from konsole

$ gnome-terminal

Gdk-ERROR **: The program 'gnome-terminal' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadValue (integer parameter out of range for operation)'.
  (Details: serial 107 error_code 2 request_code 78 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
aborting...
gnome-terminal: xcb_xlib.c:41: xcb_xlib_lock: Assertion `!c->xlib.lock' failed.
Aborted
Comment 1 Adam Jackson 2007-11-12 18:18:08 EST
Given that this is also a problem on pre-xcb systems, I'm going to rule out the
lock assertion for the moment.  request_code is 78, which is XCreateColormap, so
that narrows down our search a bit?

What does 'xdpyinfo' print on this machine?  There's only like two places in the
CreateColormap path that can throw BadValue, and one of them is introduced in
the Xinerama code and looks really bogus.  It's basically:

    if(!stuff->visual || (stuff->visual > 255))
        return BadValue;

which seems like it shouldn't be tripped, ever.
Comment 2 Robert 'Bob' Jensen 2007-11-12 19:21:24 EST
Created attachment 256071 [details]
xdpyinfo output

Here is the output of xdpyinfo.
Comment 3 Robert 'Bob' Jensen 2007-11-12 19:26:56 EST
Created attachment 256081 [details]
xorg.conf file 

Adam,

I know mentioned it in talking to you on IRC but noticed it is missing here,
this machine does use the nvidia drivers packaged by Livna and has a quad head
configuration.
Comment 5 Adam Jackson 2007-11-13 11:22:05 EST
  visual:
    visual id:    0x30a
    class:    TrueColor
    depth:    32 planes

Way cool.  That's the Composite synthetic visual, and obviously its VID is >255,
so the Xinerama code is just refusing to touch it.  Tee hee.  And according to
the protocol, CreateColormap should basically never throw BadValue, so it's not
surprising that gtk's error handler isn't DTRTing.

I'm making an F8 scratch build now with that check removed, as far as I can tell
it's just broken.  I'll post a link when it's finished.
Comment 9 Adam Jackson 2008-02-11 17:51:49 EST
I have a (mostly complete) fix for this, want to land it for F9.
Comment 10 Adam Jackson 2008-02-26 15:38:01 EST
This should be resolved as of 1.4.99.1-0.23.

Note You need to log in before you can comment on or make changes to this bug.